Hooks:PostHook( WeaponFactoryTweakData, "init", "MAG7ModInit", function(self)

	self.parts.wpn_fps_shot_techno_irons.stance_mod = {
		wpn_fps_shot_techno = {
			translation = Vector3(3.35, 0, -4),
			rotation = Rotation(0, 0.5, 0)
		}
	}
	
	self.parts.wpn_fps_shot_techno_b_standard.pcs = nil
	self.parts.wpn_fps_shot_techno_b_standard.stats = nil
	
	self.parts.wpn_fps_shot_techno_receiver.forbids = {"wpn_fps_upg_vg_ass_smg_stubby"}
	self.parts.wpn_fps_shot_techno_b_standard.forbids = {"wpn_fps_sho_ksg_fg_standard"}
	self.parts.wpn_fps_shot_techno_b_short.forbids = {"wpn_fps_sho_ksg_fg_short"}
	
	self.parts.wpn_fps_shot_techno_pump.adds = {"wpn_fps_shot_techno_g_std"}
	
	self.parts.wpn_fps_shot_techno_a_16ga.has_description = true
	self.parts.wpn_fps_shot_techno_a_16slug.has_description = true
	
	self.parts.wpn_fps_shot_techno_a_16slug.custom_stats = {
		rays = 1,
		armor_piercing_add = 1,
		can_shoot_through_enemy = true, 
		can_shoot_through_shield = true, 
		can_shoot_through_wall = true		
	}
	
	self.wpn_fps_shot_x_techno.override = {
		wpn_fps_shot_techno_m_extended = {
			stats = {extra_ammo=2, concealment=-2}
		},
		-- wpn_fps_shot_techno_pump = {
			-- adds = nil,
			-- animations = nil
		-- }
	}
	
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_shot_techno = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_smg_mp7)
end )